curl --request PUT \
--url https://api.dfns.io/auth/pats/{tokenId}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'X-DFNS-USERACTION: <api-key>'{
"dateCreated": "<string>",
"credId": "<string>",
"isActive": true,
"kind": "Pat",
"linkedUserId": "<string>",
"linkedAppId": "<string>",
"name": "<string>",
"orgId": "<string>",
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "<string>",
"assignmentId": "<string>",
"operations": [
"<string>"
]
}
],
"publicKey": "<string>",
"tokenId": "<string>",
"accessToken": "<string>"
}Deactivates a credential that was previously active. If the credential is already deactivated no action is taken.
curl --request PUT \
--url https://api.dfns.io/auth/pats/{tokenId}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'X-DFNS-USERACTION: <api-key>'{
"dateCreated": "<string>",
"credId": "<string>",
"isActive": true,
"kind": "Pat",
"linkedUserId": "<string>",
"linkedAppId": "<string>",
"name": "<string>",
"orgId": "<string>",
"permissionAssignments": [
{
"permissionName": "<string>",
"permissionId": "<string>",
"assignmentId": "<string>",
"operations": [
"<string>"
]
}
],
"publicKey": "<string>",
"tokenId": "<string>",
"accessToken": "<string>"
}CustomerEmployee)EndUser)Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
1Success
Access token kind.
Pat, ServiceAccount, Token, Code, Recovery, Temp, Application Show child attributes
Was this page helpful?